#include <avr/io.h>
#include <util/delay.h>
#include "usart.h"
#include "tlc5916.h"

int main (void) {
  usart_mspim_init();
  tlc5916_init();
  tlc5916_out(0xFF,LED);
  tlc5916_out(0xFF,BACKLIGHT);
  while(1) {
    _delay_ms(1000);
    tlc5916_current_adjust(0b00010000);
    _delay_ms(1000);
    tlc5916_current_adjust(0b11111111);
  }
  return 0;
}
